// pages/personal/personal.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    show:false,
    emailShow: false,

  },
 


  onLoad: function (options) {

  },
  goparents:function(){
    wx.navigateTo({
      url: '../../my/parents/parents',
    })
  },
  goteachingArea:function(){
    wx.navigateTo({
      url: '../../my/teachingArea/teachingArea',
    })
  },
  //教学科目弹窗
  tcHold: function (e) {
    this.setData({
      emailShow: !this.data.emailShow
    })
  },
  goCall: function(e){
    wx.showModal({
      content: '确定要拨打电话吗？',
      success(res) {
        if (res.confirm) {
          wx.makePhoneCall({
            phoneNumber: '400-181-5358'
          })
        }
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})